DEFINE_IRQ("I2C0", 1)
DEFINE_IRQ("I2C1", 2)
DEFINE_IRQ("UART0", 3)
DEFINE_IRQ("UART1", 4)
DEFINE_IRQ("TS_IN1_DV", 5)
DEFINE_IRQ("TS_IN1_DMA", 6)
DEFINE_IRQ("GPIO", 7)
DEFINE_IRQ("AUDIO", 8)
DEFINE_IRQ("VIDEO", 9)
DEFINE_IRQ("CONFIG", 10)
DEFINE_IRQ("AOI", 11)
DEFINE_IRQ("VIDEO_SYNC", 12)

#ifdef TMFL_IC_PNX8335
    DEFINE_IRQ("SATA", 13)
#else
    DEFINE_IRQ("SPU", 13)
#endif  /* #ifdef TMFL_IC_PNX8335 */

DEFINE_IRQ("OSD0", 14)
DEFINE_IRQ("DISP0", 15)
DEFINE_IRQ("INTERLACER", 16)
DEFINE_IRQ("DISP1", 17)
DEFINE_IRQ("VC", 18)
DEFINE_IRQ("SC", 19)
DEFINE_IRQ("IDE0", 20)
DEFINE_IRQ("IDE0_DMA", 21)
DEFINE_IRQ("TS_IN2_DV", 22)
DEFINE_IRQ("TS_IN2_DMA", 23)
DEFINE_IRQ("SGDX_DMA", 24)
DEFINE_IRQ("TS_OUT", 25)
DEFINE_IRQ("IR", 26)
DEFINE_IRQ("VMSP0_0", 27)
DEFINE_IRQ("VMSP0_1", 28)
DEFINE_IRQ("PBIC", 29)
DEFINE_IRQ("TS_IN1_TRD", 30)
DEFINE_IRQ("SGDX_TPD", 31)
DEFINE_IRQ("USB", 32)
DEFINE_IRQ("TS_IN2_TRD", 33)
DEFINE_IRQ("CLOCK", 34)
DEFINE_IRQ("SGDX_PARSER", 35)
DEFINE_IRQ("VMSP_VSM_DMA", 36)

#ifdef TMFL_IC_PNX8335

DEFINE_IRQ("MIU", 37)
DEFINE_IRQ("AVCHIP_IRQ", 38)
DEFINE_IRQ("SYNC_HD", 39)
DEFINE_IRQ("DISP_HD", 40)
DEFINE_IRQ("DISP_SCALER", 41)
DEFINE_IRQ("OSD_HD1", 42)
DEFINE_IRQ("DTL_WRITER_Y", 43)
DEFINE_IRQ("DTL_WRITER_C", 44)
DEFINE_IRQ("DTL_EMULATOR_Y_IR", 45)
DEFINE_IRQ("DTL_EMULATOR_C_IR", 46)
DEFINE_IRQ("DENC_TTX", 47)
DEFINE_IRQ("MMI_SIF0", 48)
DEFINE_IRQ("MMI_SIF1", 49)
DEFINE_IRQ("MMI_CDMMU", 50)
DEFINE_IRQ("PIBCS", 51)
DEFINE_IRQ("ETHERNET", 52)
DEFINE_IRQ("VMSP1_0", 53)
DEFINE_IRQ("VMSP1_1", 54)
DEFINE_IRQ("VMSP1_DMA", 55)
DEFINE_IRQ("TDGR_DE", 56)
DEFINE_IRQ("IR1_IRQ", 57)

#endif  /* #ifdef TMFL_IC_PNX8335 */


